package cn.pluss.platform.yinsheng.v20210929;

import lombok.Getter;

public enum ReqMethod {

    /**
     * 银盛进件接口，部分参数常量
     */
    MERCHANT_ADD("Merchant", "addScanMerchant"),
    MERCHANT_EDIT("Merchant", "updateScanMerchant"),
    MERCHANT_APPLY("Merchant", "autoAuditTerm"),
    MERCHANT_QUERY("Merchant", "queryMerchant"),
    MERCHANT_PROTOCOL_STATUS("Merchant", "querySignSts"),
    MERCHANT_SEND_MSG("Merchant", "sendScanSmsCode"),
    MERCHANT_ONLINE_TRADING("Merchant", "onlineTrading"),
    MERCHANT_OPT_ONLINE_D0("Merchant", "optOnlineD0"),

    MERCHANT_BASE_INFO_CHANGE("Merchant", "changeMerInfo"),
    MERCHANT_ACCOUNT_CHANGE("Merchant", "changeMerAccInfo"),
    MERCHANT_EDIT_RESULT("Merchant", "queryModifyStatus"),
    MERCHANT_CHANGE_ONLINE_FEE("Merchant", "changeMerOnlineFee");

    @Getter
    private final String msgCode;

    @Getter
    private final String method;


    ReqMethod(String msgCode, String method) {
        this.msgCode = msgCode;
        this.method = method;
    }
}
